Name:           zfs-release
Version:        1
Release:        5%{?dist}
Summary:        ZFS on Linux Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://zfsonlinux.org
Source1:        zfs.repo
Source10:       RPM-GPG-KEY-zfsonlinux
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
ZFS on Linux repository for Fedora.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 \
    %{SOURCE10} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# Yum .repo files
%{__install} -p -m644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%post
#rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-zfsonlinux

%changelog
* Thu Aug 25 2016 Brian Behlendorf <behlendorf1@llnl.gov> - 1-5
- Changed repository from archive.zfsonlinux.org to download.zfsonlinux.org

* Tue Dec 23 2014 Brian Behlendorf <behlendorf1@llnl.gov> - 1-4
- Disable 'rpm --import' during %post, the tx lock cannot be acquired.

* Tue May 27 2014 Brian Behlendorf <behlendorf1@llnl.gov> - 1-3
- Remove yum-plugin-priorities the needed DKMS fixes are now upstream

* Thu Aug 29 2013 Trey Dockendorf <treydock@gmail.com> - 1-2
- Require yum-plugin-priorities
- Set repo priorities to 1

* Thu Aug 22 2013 Brian Behlendorf <behlendorf1@llnl.gov> - 1-1
- Initial zfs-release package
